Theme
Video to Audio
POST
https://www.kkiai.com/kling/v1/audio/video-to-audio
Request Parameters
Authorization
Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.
Example: Authorization: Bearer ********************
Header Parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
Content-Type | string | Optional | application/json | |
Authorization | string | Optional | Bearer {{YOUR_API_KEY}} |
Body Parameters (application/json)
| Parameter | Type | Required | Description |
|---|---|---|---|
video_id | string | Optional | ID of the video generated by Kling AI. Only supports videos generated within 30 days with a duration between 3.0 and 20.0 seconds. |
video_url | string | Optional | URL to retrieve the uploaded video. Either video_id or video_url must be provided, but not both can be empty or both can have values. Video format supports only MP4/MOV, file size ≤ 100M, video duration between 3.0 and 20.0 seconds. |
sound_effect_prompt | string | Optional | |
bgm_prompt | string | Optional | |
asmr_mode | boolean | Optional | Whether to enable ASMR mode. This mode enhances detailed sound effects and is suitable for highly immersive content scenarios. true means enabled, false means disabled (default value). |
external_task_id | string | Optional | |
callback_url | string | Optional |
Request Example
json
{
"video_id": "825406034503692376",
"video_url": "",
"sound_effect_prompt": "Human voice sounds that match the video.",
"bgm_prompt": "",
"asmr_mode": false,
"external_task_id": "",
"callback_url": ""
}cURL Example
bash
curl --location --request POST 'https://www.kkiai.com/kling/v1/audio/video-to-audio' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"video_id": "825406034503692376",
"video_url": "",
"sound_effect_prompt": "Human voice sounds that match the video.",
"bgm_prompt": "",
"asmr_mode": false,
"external_task_id": "",
"callback_url": ""
}'Response
🟢 200 Success
Response Example
json
{}